## boost1.54 1.54.0

=== libs/numeric/odeint/test_external/thrust/Makefile ===
# Copyright 2009-2012 Karsten Ahnert
# Copyright 2009-2012 Mario Mulansky
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or
# copy at http://www.boost.org/LICENSE_1_0.txt)



CUDA_ROOT = /usr/local/cuda

CC = gcc-4.4
CXX = gcc-4.4
NVCC = $(CUDA_ROOT)/bin/nvcc

INCLUDES += -I$(BOOST_ROOT) -I$(THRUST_ROOT) -I$(CUDA_ROOT)/include -I../../../../..

NVCCFLAGS = -O3 $(INCLUDES) --compiler-bindir=/usr/bin/g++-4.4

LDLIBS = -lcudart
LDFLAGS = -L$(CUDA_ROOT)/lib64

%.co : %.cu
	$(NVCC) $(NVCCFLAGS) -o $@ -c $<


all : check_thrust


check_thrust : check_thrust.co
	$(CC) -o check_thrust $(LDFLAGS) $(LDLIBS) check_thrust.co
check_thrust.co : check_thrust.cu

clean :
	-rm *~ *.o *.co check_thrust

=== debian/changelog ===
boost1.54 (1.54.0-5) unstable; urgency=low

  * patches/changeset_84950.diff: New.  Upstream patch for recent versions
    of glibc which always assume int64_t support.  Closes: #739807,
    #739904.

 -- Steve M. Robbins <smr@debian.org>  Fri, 28 Feb 2014 22:16:37 -0600

boost1.54 (1.54.0-4) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Multi-arch most -dev packages (excluding python, mpi). Initial patches
    based on the work by Helmut Grohne. (Closes: #710413, #693247)
  * Split boost auxiliary tools into a separate Multi-Arch:foreign package.
  * Build-depend on dh-python to gain arch-qualified python extension names.
  * Create permament libboost_python.[a|so] symlinks (LP: #1217237) as
    python2.7 is the last python2 series release.
  * Correct the dependency on libstdc++, it's actually libstdc++-4.8-dev,
    not libstdc++6-4.8-dev.
  * Demote gccxml from Depends to Recommends in the libboost-python-dev
    package. (Closes: #726172)
  * Apply patch from Boost upstream to resolve BOOST_LCAST_HAS_INT128
    issue (#8790) (Closes: #727750)

  [ Steve M. Robbins ]
  * rules: Disable context for mips64 and mips64el.  Closes: #728616.
  * patches/hppa-long-double-config.patch: New.  Fixes definition of
    BOOST_MATH_NO_LONG_DOUBLE_MATH_FUNCTIONS for hppa (thanks, Dave
    Anglin).  Closes: #729479.
  * control.in(libboost1.54-dev): Add "Suggests" relationship to packages
    libmpfrc++-dev & libntl-dev because Boost.Multiprecision provides
    wrappers for them.  Closes: #731048.

  [ Matthias Klose ]
  * Add support for powerpc ELFv2.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Dec 2013 00:50:47 -0600

boost1.54 (1.54.0-3) unstable; urgency=low

  [ Steve M. Robbins ]
  * control: Add depends on libboost1.54-dev omitted from recently added
    libraries (atomic, context, and coroutine).
  * patches/boost-1.54.0-thread-link_atomic.patch: New.  Link Boost.Thread
    to Boost.Atomic if necessary.  Closes: #721577, #721544.  Also have
    libboost-thread1.54-dev depend on libboost-atomic1.54-dev.
  * control: fix short description of libboost-exception1.54-dev; see
    #720160.

  [ Matthias Klose ]
  * Configure with --disable-long-double --wihtout-context on Aarch64

  [ Dmitrijs Ledkovs ]
  * Use anonscm URLs.
  * libboost-dev: Specify dependency on current libstdc++6-4.8-dev,
    instead of obsolete libstdc++6-4.4-dev. Fixes Multi-Arch
    installation (LP: #1209193)
  * Specify --with-icu=/usr to unconditionally trigger HAVE_ICU define,
    i.e. independent of icu multiarch.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Sep 2013 22:29:56 -0500

boost1.54 (1.54.0-2) unstable; urgency=low

  * Add packages for Boost.Coroutine.  Both coroutine and context are
    conditionally compiled.

  * patches/001-coroutine.patch:
  * patches/002-date-time.patch: New.  Upstream maintenance fixes from
    http://www.boost.org/patches/.

  * patches/hurd-clock-gettime.patch: New.  GNU Hurd has clock_gettime()
    despite not defining _POSIX_TIMERS.  Closes: #714847.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Jul 2013 19:52:17 -0500

boost1.54 (1.54.0-1) unstable; urgency=low

  * New upstream.
    - Add shared library packages for new library Boost.Log.

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Jul 2013 21:28:11 -0500

boost1.53 (1.53.0-6) UNRELEASED; urgency=low

  * Make libboost-graph[-parallel]1.53-dev packages depend on the library
    package libboost-graph[-parallel]1.53.0 to avoid broken symlinks.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 10:39:16 +0100

boost1.53 (1.53.0-5) unstable; urgency=low

  * control: Boost.Thread depends on some non header-only libraries:
    System, Chrono, and DateTime.  The latter was already present, but
    dependencies for libboost-thread1.53-dev updated to include
    libboost-chrono1.53-dev and libboost-system1.53-dev.  Closes: #706648.

 -- Steve M. Robbins <smr@debian.org>  Tue, 28 May 2013 02:52:24 -0500

boost1.53 (1.53.0-4) unstable; urgency=low

  * rules: Add 'context' to list of libraries when Boost.Context is
    supported.  Closes: #706220.
  
  * rules: Disable Boost.Context for additional architectures: alpha,
    hppa, m68k, powerpcspe, ppc64, sh4, sparc64, and x32.  Closes: #703549.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Apr 2013 01:12:49 -0500

boost1.53 (1.53.0-3) unstable; urgency=low

  * rules: Ensure --without-context passed during install stage, too.
  
  * patches/chrono-duration.patch: New.  Fix conflict between
    chrono/duration.hpp and apache2/httpd.h (thanks, Kirill Spitsin).
    Closes: #703325.

  * control: Make libboost-mpi-python depend on mpi-default-bin so that
    mpirun is available.  Closes: #691635.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2013 23:46:40 -0500

boost1.53 (1.53.0-2) unstable; urgency=low

  * rules: Build with hardening flags.
  * control: Depend on dpkg-dev, to get dpkg-buildflags.

  * rules: context is not supported for ia64, s390, s390x, and sparc.
  
  * patches/fix-ftbfs-python-3.3.patch: New.  Allow building with
    multiarch python3.3 (thanks, Dmitrijs Ledkovs).  Closes: #691378.

 -- Steve M. Robbins <smr@debian.org>  Wed, 20 Mar 2013 01:45:32 -0500

boost1.53 (1.53.0-1) unstable; urgency=low

  * New upstream.  Update versions in control, rules.  Update file lists
    in documentation-files and example-files.

  * rules: Stop creating "libboost_foo-mt" compatibility symlinks.
    Rewrite rules using "dh".  README.Debian and NEWS.Debian no longer
    ship in all packages.
  
  * control: Add packages for atomic, context.  Remove empty package for
    mpi-python-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 05 Mar 2013 22:14:47 -0600

boost1.52 (1.52.0-1) UNRELEASED; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 Jan 2013 19:04:00 -0600

boost1.50 (1.50.0-2) unstable; urgency=low

  * control: Fix list formatting in Boost.Chrono long description.


=== debian/control ===
Source: boost1.54
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), dctrl-tools,
 zlib1g-dev, libbz2-dev, libicu-dev, mpi-default-dev,
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 dh-python,
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-boost/boost/trunk/
Vcs-Svn: svn://anonscm.debian.org/pkg-boost/boost/trunk
Standards-Version: 3.9.4

Package: libboost1.54-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.54-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg, libboost1.46-dbg, libboost1.48-dbg, libboost1.49-dbg, libboost1.50-dbg, libboost1.52-dbg, libboost1.53-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.54-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++-4.8-dev | libstdc++-dev
Suggests: libboost1.54-doc,
 libboost-atomic1.54-dev,
 libboost-chrono1.54-dev,
 libboost-context1.54-dev,
 libboost-coroutine.54-dev,
 libboost-date-time1.54-dev,
 libboost-exception1.54-dev,
 libboost-filesystem1.54-dev,
 libboost-graph1.54-dev,
 libboost-graph-parallel1.54-dev,
 libboost-iostreams1.54-dev,
 libboost-locale1.54-dev,
 libboost-log.54-dev,
 libboost-math1.54-dev,
 libboost-mpi1.54-dev,
 libboost-mpi-python1.54-dev,
 libboost-program-options1.54-dev,
 libboost-python1.54-dev,
 libboost-random1.54-dev,
 libboost-regex1.54-dev,
 libboost-serialization1.54-dev,
 libboost-signals1.54-dev,
 libboost-system1.54-dev,
 libboost-test1.54-dev,
 libboost-thread1.54-dev,
 libboost-timer1.54-dev,
 libboost-wave1.54-dev,
 libboost1.54-tools-dev,
 libmpfrc++-dev, libntl-dev
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev, libboost1.50-dev, libboost1.52-dev, libboost1.53-dev
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.
 .
 For the following subprojects separate packages exist: chrono,
 date-time, exception filesystem, graph, iostreams, locale, math, mpi,
 program_options, python, regex, serialization, signals, system, test,
 thread, timer, and wave.

Package: libboost1.54-tools-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.49-dev, libboost1.53-tools-dev
Replaces: bjam, boost-build, libboost1.49-dev, libboost1.53-dev, libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.54-all-dev
Architecture: any
#Not until python-dev is multiarch co-installable
#Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.54-dev,
 libboost1.54-tools-dev,
 libboost-atomic1.54-dev,
 libboost-chrono1.54-dev,
 libboost-context1.54-dev,
 libboost-coroutine1.54-dev,
 libboost-date-time1.54-dev,
 libboost-exception1.54-dev,
 libboost-filesystem1.54-dev,
 libboost-graph1.54-dev,
 libboost-graph-parallel1.54-dev,
 libboost-iostreams1.54-dev,
 libboost-locale1.54-dev,
 libboost-log1.54-dev,
 libboost-math1.54-dev,
 libboost-mpi1.54-dev,
 libboost-mpi-python1.54-dev,
 libboost-program-options1.54-dev,
 libboost-python1.54-dev,
 libboost-random1.54-dev,
 libboost-regex1.54-dev,
 libboost-serialization1.54-dev,
 libboost-signals1.54-dev,
 libboost-system1.54-dev,
 libboost-test1.54-dev,
 libboost-thread1.54-dev,
 libboost-timer1.54-dev,
 libboost-wave1.54-dev
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This metapackage provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost1.54-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.54-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc, libboost1.50-doc, libboost1.52-doc, libboost1.53-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the boost libraries in HTML format.
 Some pages point to header files provided in the corresponding -dev package,
 so it is suggested to install the latter as well.

Package: libboost-atomic1.54.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.54-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, 
 libboost1.54-dev (= ${binary:Version}),
 libboost-atomic1.54.0 (= ${binary:Version})
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev

Package: libboost-chrono1.54.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves
    epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a particular
    platform: system_clock, steady_clock and high_resolution_clock. A
    clock is a pairing of a time_point and duration, and a function
    which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
    current process.
  * process_user_cpu_clock, captures user-CPU time spent by the current
    process.
  * process_system_cpu_clock, captures system-CPU time spent by the
    current process.
  * a tuple-like class process_cpu_clock, that captures real, user-CPU,
    and system-CPU process times together.
  * a thread_clock thread steady clock giving the time spent by the
    current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-chrono1.54-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.54-dev (= ${binary:Version}),
 libboost-chrono1.54.0 (= ${binary:Version})
Conflicts: libboost-chrono1.48-dev, libboost-chrono1.49-dev, libboost-chrono1.50-dev, libboost-chrono1.52-dev, libboost-chrono1.53-dev
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number

=== debian/rules ===
#! /usr/bin/make -f

WITHOUT_MPI:=no
JUST_MPI:=no
with_mpi:=--with-mpi
MPI_CONFIG = "using mpi ;"

# Boost libraries for which we want separate packages
# context is conditionally compiled because it is not supported yet on several architectures
# coroutine depends on context, so it is also conditionally compiled
boost_libs := atomic chrono date-time exception filesystem		\
              graph graph-parallel iostreams locale log math mpi	\
              mpi-python program-options python random regex		\
              serialization signals system test thread timer wave

ifeq ($(WITHOUT_MPI),yes)
boost_libs := $(filter-out graph-parallel mpi mpi-python, $(boost_libs))
with_mpi:=
MPI_CONFIG:=
export DH_OPTIONS+=$(addprefix -N,$(shell dh_listpackages | grep -e graph-parallel -e mpi -e all-dev))
endif

ifeq ($(JUST_MPI),yes)
boost_libs := graph-parallel mpi mpi-python
export DH_OPTIONS+=$(addprefix -N,$(shell dh_listpackages | grep -v -e graph-parallel -e mpi -e all-dev))
endif

# these are special cases, where /usr/lib name differs from Boost library name
boost_lib_log := log log_setup
boost_lib_math := math_c99 math_c99f math_tr1 math_tr1f
boost_lib_math_long_double := math_c99l math_tr1l
boost_lib_serialization := serialization wserialization
boost_lib_test := prg_exec_monitor test_exec_monitor unit_test_framework

pyversions = $(shell pyversions -rv) $(shell py3versions -rv)

# These are special cases for suffixes.  Generally come from --python-buildid, so begin with a dash.
boost_suffixes_python := $(addprefix -py,$(subst .,,$(pyversions)))
boost_suffixes_mpi-python := $(boost_suffixes_python)

# Files that are generated by filtering a template
filtered_files = \
	debian/libboost-doc.doc-base

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with python2 --with python3

override_dh_auto_configure: user-config.jam make-debhelper

override_dh_auto_build: $(bjam) debian/bjam.1
	$(JAM) $(JAM_WITHOUT) --without-python
	for pyver in $(pyversions); do \
	 	pyid=$$(echo $$pyver | tr -d .); \
		echo "Building Boost.Python for python version $$pyver"; \
	 	$(JAM) --with-python $(with_mpi) --python-buildid=py$$pyid python=$$pyver; \
	 	mv stage/lib/mpi.so stage/lib/mpi-py$$pyid.so || true; \
	done

	cd $(bbv2dir) && ./bootstrap.sh --with-toolset=gcc
	cd tools/bcp && $(JAM)
	cd tools/inspect/build && $(JAM)
	cd tools/quickbook && $(JAM)
	cd tools/wave/build && $(JAM)
	cd tools/regression/build && $(JAM)
	cd libs/python/pyste/install && python setup.py build

override_dh_auto_clean: clean-debhelper
	-cd tools && $(JAM) clean
	-$(JAM) clean
	-cd libs/python/pyste/install && python setup.py clean
	rm -rf libs/python/pyste/install/build
	rm -rf tools/jam/src/bootstrap
	rm -rf tools/jam/src/bin.*
	rm -ff tools/jam/src/bjam
	rm -rf tools/regression/build/bin
	rm -rf bin.v2 dist
	rm -rf user-config.jam
	rm -rf debian/bjam.1
ifeq ($(WITHOUT_MPI),yes)
	# TODO, should also remove/add build-deps as well.
	grep-dctrl -FPackage -v mpi -o -FPackage graph-parallel -o -FPackage all-dev debian/control.in > debian/control
else
	cp debian/control.in debian/control
endif
	dh_auto_clean

override_dh_compress:
	dh_compress -Xlibboost$(PKGVERSION)-doc/HTML

override_dh_install:
	$(JAM) --prefix=$(CURDIR)/debian/tmp/usr $(JAM_WITHOUT) \
		--libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
		--without-python install
	for pyver in $(pyversions); do \
		pyid=`echo $$pyver | tr -d .`; \
		$(JAM) --prefix=$(CURDIR)/debian/tmp/usr \
			--libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
			install --with-python $(with_mpi) --python-buildid=py$$pyid python=$$pyver; \
	done

	# Install Boost.Build v2 & jam
	cd $(bbv2dir) && ./bjam install --prefix=$(CURDIR)/debian/tmp/usr --libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/share/boost-build/example debian/boost-build-examples

	find debian/tmp/usr/include debian/tmp/usr/share/boost-build -type f | xargs chmod 644
	find debian/tmp -name .cvsignore | xargs rm -f
	find debian -empty -type f | xargs rm -f

	# package libboost-dbg

	# package libboost$(PKGVERSION)-dev
	dh_install -plibboost$(PKGVERSION)-dev \
	   debian/tmp/usr/include/boost \
	   usr/include
	dh_install -plibboost$(PKGVERSION)-tools-dev \
	   debian/tmp/usr/bin/bjam \
	   dist/bin/bcp \
	   dist/bin/inspect \
	   dist/bin/quickbook \
	   usr/bin
	dh_installman -plibboost$(PKGVERSION)-tools-dev debian/bjam.1 debian/bcp.1 debian/inspect.1 debian/quickbook.1
	dh_install -plibboost$(PKGVERSION)-tools-dev tools/boostbook/xsl/* usr/share/boostbook/xsl
	dh_install -plibboost$(PKGVERSION)-tools-dev tools/boostbook/dtd/* usr/share/boostbook/dtd
	dh_install -plibboost$(PKGVERSION)-tools-dev debian/tmp/usr/share/boost-build

	# package libboost-date-time$(PKGVERSION)-dev
	dh_installdocs -plibboost-date-time$(PKGVERSION)-dev libs/date_time/data

	# package libboost-doc
	rm -rf $(htmldir)
	mkdir -p $(htmldir) 
	cat debian/documentation-files | xargs cp --parents --target-directory=$(htmldir)
	find doc libs -name doc | xargs -n1 cp --archive --parents --target-directory=$(htmldir)
	rm -rf $(htmldir)/boost
	dh_link -plibboost$(PKGVERSION)-doc \
	   usr/include/boost \
	   usr/share/doc/libboost$(PKGVERSION)-doc/HTML/boost
	# provide a constant symlink to the latest documents and examples
	dh_link -plibboost$(PKGVERSION)-doc \
	   usr/share/doc/libboost$(PKGVERSION)-doc/HTML \
	   usr/share/doc/libboost-doc/HTML
	dh_link -plibboost$(PKGVERSION)-doc \
	   usr/share/doc/libboost$(PKGVERSION)-doc/examples \
	   usr/share/doc/libboost-doc/examples

	dh_link -plibboost-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python-py27.a \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python.a
	dh_link -plibboost-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python-py27.so \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python.so

	dh_link -plibboost-mpi-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python-py27.a \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python.a
	dh_link -plibboost-mpi-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python-py27.so \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python.so

	dh_installexamples -plibboost$(PKGVERSION)-doc debian/boost-build-examples
	mkdir -p $(exampledir)
	cat debian/example-files | xargs cp -a --parents --target-directory=$(exampledir)
	find $(exampledir) -type f | xargs chmod 644

	# package libboost-mpi-python$(SOVERSION)
	dh_install -plibboost-mpi-python$(SOVERSION)
	for pyver in $(pyversions); do \
		pyid=`echo $$pyver | tr -d .`; \
		dh_install -plibboost-mpi-python$(SOVERSION) libs/mpi/build/__init__.py usr/lib/python$$pyver/site-packages/boost; \
		dh_installdirs -plibboost-mpi-python$(SOVERSION) usr/lib/python$$pyver/site-packages/boost; \
		cp stage/lib/mpi-py$$pyid.so debian/libboost-mpi-python$(SOVERSION)/usr/lib/python$$pyver/site-packages/boost/mpi.so || true; \
	done

	cd libs/python/pyste/install && python setup.py install --no-compile --prefix=$(pyste_prefix) --install-lib=$(pyste_prefix)/share/pyshared
	mv $(pyste_prefix)/bin/pyste.py $(pyste_prefix)/bin/pyste
	dh_installman -plibboost-python$(PKGVERSION)-dev debian/pyste.1

	dh_install

override_dh_strip:
ifeq ($(JUST_MPI),no)
	dh_strip --dbg-package=libboost$(PKGVERSION)-dbg -X"-d-"
else
	dh_strip -X"-d-"
endif


# set the number of build jobs
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOBS := -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

version_full = $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
version_upstream = $(shell echo $(version_full) | cut -d'-' -f1)
version_major = $(shell echo $(version_upstream) | cut -d'.' -f1,2)

PKGVERSION = $(version_major)
SOVERSION = $(version_upstream)


# Function to map Boost component name to set of shared library names
# Input: Boost component name
